<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_91) on Fri Dec 07 15:00:35 GMT 2018 -->
<title>Presenter</title>
<meta name="date" content="2018-12-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Presenter";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../mapping/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Presenter.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../mapping/NewKeyMapPopup.html" title="class in mapping"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../mapping/TreeDataStructure.html" title="class in mapping"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?mapping/Presenter.html" target="_top">Frames</a></li>
<li><a href="Presenter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">mapping</div>
<h2 title="Class Presenter" class="title">Class Presenter</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>mapping.Presenter</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Presenter</span>
extends java.lang.Object</pre>
<div class="block">This is the presenter in the model-view-presenter architecture. 
 It acts as the mediator between the model and the view. Its job is 
 to update the model with information passed from the view, and then 
 display the state of the model in the view.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Matthew Henderson - University of Glasgow Masters Project 2018</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../mapping/Presenter.html#Presenter--">Presenter</a></span>()</code>
<div class="block">Class constructor</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>javax.swing.JTree</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Presenter.html#buildJTree--">buildJTree</a></span>()</code>
<div class="block">Build the keymap tree to be displayed in the user interface.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Presenter.html#createNewKeyMap-java.lang.String-java.lang.String-">createNewKeyMap</a></span>(java.lang.String&nbsp;name,
               java.lang.String&nbsp;parent)</code>
<div class="block">Creates a new keymap and adds it to the model.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Presenter.html#deleteKeymap-java.lang.String-">deleteKeymap</a></span>(java.lang.String&nbsp;keymap)</code>
<div class="block">Delete the specified keymap from the model.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Presenter.html#generateXML-java.lang.String-">generateXML</a></span>(java.lang.String&nbsp;path)</code>
<div class="block">Generate the output XML file.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Presenter.html#isKeyMapped-java.lang.String-java.lang.String-">isKeyMapped</a></span>(java.lang.String&nbsp;selectedKey,
           java.lang.String&nbsp;keyMapName)</code>
<div class="block">Returns whether the specified key is mapped in the specified keymap.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Presenter.html#loadExistingFile-java.lang.String-">loadExistingFile</a></span>(java.lang.String&nbsp;path)</code>
<div class="block">Called if the user wishes to load a pre-existing XML file.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Presenter.html#loadKeyMap-java.lang.String-">loadKeyMap</a></span>(java.lang.String&nbsp;keymapName)</code>
<div class="block">Displays the chosen keymap on the virtual keyboard.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Presenter.html#openMainGUI-java.lang.String-boolean-">openMainGUI</a></span>(java.lang.String&nbsp;keymap,
           boolean&nbsp;newWindow)</code>
<div class="block">Opens the main interface window containing the virtual keyboard.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Presenter.html#openMappingPopup-java.lang.String-java.lang.String-">openMappingPopup</a></span>(java.lang.String&nbsp;selectedKey,
                java.lang.String&nbsp;keymapName)</code>
<div class="block">Open the window to assign a mapping to a key.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Presenter.html#openNewKeyMapWindow-java.lang.String-">openNewKeyMapWindow</a></span>(java.lang.String&nbsp;parent)</code>
<div class="block">Opens the window to allow the user to create a new keymap.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Presenter.html#removeDisplay-java.lang.String-java.lang.String-">removeDisplay</a></span>(java.lang.String&nbsp;selectedKey,
             java.lang.String&nbsp;keymap)</code>
<div class="block">Remove any custom displays on the specified key.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Presenter.html#renameKeymap-java.lang.String-java.lang.String-">renameKeymap</a></span>(java.lang.String&nbsp;keymapName,
            java.lang.String&nbsp;newName)</code>
<div class="block">Renames a key map if the name is available</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Presenter.html#resetKey-java.lang.String-java.lang.String-">resetKey</a></span>(java.lang.String&nbsp;selectedKey,
        java.lang.String&nbsp;keymap)</code>
<div class="block">Resets a key.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Presenter.html#resetKeymap-java.lang.String-">resetKeymap</a></span>(java.lang.String&nbsp;keymap)</code>
<div class="block">Completely resets a keymap.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Presenter.html#setAsRandom-java.lang.String-java.lang.String-">setAsRandom</a></span>(java.lang.String&nbsp;selectedKey,
           java.lang.String&nbsp;keymap)</code>
<div class="block">Mark the chosen key as randomised.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Presenter.html#setKeyImage-java.lang.String-java.lang.String-java.awt.image.BufferedImage-">setKeyImage</a></span>(java.lang.String&nbsp;selectedKey,
           java.lang.String&nbsp;keymap,
           java.awt.image.BufferedImage&nbsp;img)</code>
<div class="block">Sets an image to be displayed on a key.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Presenter.html#setKeyMapping-java.lang.String-java.lang.String-java.lang.String-">setKeyMapping</a></span>(java.lang.String&nbsp;selectedKey,
             java.lang.String&nbsp;keymap,
             java.lang.String&nbsp;mapping)</code>
<div class="block">Set's the mapping of a key.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Presenter.html#setTextOverlay-java.lang.String-java.lang.String-java.lang.String-">setTextOverlay</a></span>(java.lang.String&nbsp;selectedKey,
              java.lang.String&nbsp;keymap,
              java.lang.String&nbsp;textOverlay)</code>
<div class="block">Sets the text that will be displayed on a mapped key or a trigger key.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Presenter.html#setTrigger-java.lang.String-java.lang.String-">setTrigger</a></span>(java.lang.String&nbsp;triggerKey,
          java.lang.String&nbsp;keymapName)</code>
<div class="block">Sets the chosen key as a trigger for a keymap.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/Presenter.html#startUp--">startUp</a></span>()</code>
<div class="block">The first method called when the object is created.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Presenter--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Presenter</h4>
<pre>public&nbsp;Presenter()</pre>
<div class="block">Class constructor</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="startUp--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startUp</h4>
<pre>public&nbsp;void&nbsp;startUp()</pre>
<div class="block">The first method called when the object is created. This method 
 Displays the window that allows users to import an existing 
 XML file or create a completely new map.</div>
</li>
</ul>
<a name="loadExistingFile-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loadExistingFile</h4>
<pre>public&nbsp;void&nbsp;loadExistingFile(java.lang.String&nbsp;path)</pre>
<div class="block">Called if the user wishes to load a pre-existing XML file. This 
 methods informs the parser to parse the selected file and update 
 the model with the information.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - the path of the XML file to be parser</dd>
</dl>
</li>
</ul>
<a name="isKeyMapped-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isKeyMapped</h4>
<pre>public&nbsp;boolean&nbsp;isKeyMapped(java.lang.String&nbsp;selectedKey,
                           java.lang.String&nbsp;keyMapName)</pre>
<div class="block">Returns whether the specified key is mapped in the specified keymap.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>selectedKey</code> - the unique identifier of the key</dd>
<dd><code>keyMapName</code> - the name of the keymap</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>returns <code>true</code> if the key is mapped, 
                                                <code>false</code> otherwise</dd>
</dl>
</li>
</ul>
<a name="openNewKeyMapWindow-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>openNewKeyMapWindow</h4>
<pre>public&nbsp;void&nbsp;openNewKeyMapWindow(java.lang.String&nbsp;parent)</pre>
<div class="block">Opens the window to allow the user to create a new keymap.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parent</code> - the parent keymap of the new keymap</dd>
</dl>
</li>
</ul>
<a name="createNewKeyMap-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createNewKeyMap</h4>
<pre>public&nbsp;boolean&nbsp;createNewKeyMap(java.lang.String&nbsp;name,
                               java.lang.String&nbsp;parent)</pre>
<div class="block">Creates a new keymap and adds it to the model.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the new keymap</dd>
<dd><code>parent</code> - the parent of the keymap</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>returns <code>true</code> if the keymap has been created, 
                                        <code>false</code> otherwise</dd>
</dl>
</li>
</ul>
<a name="renameKeymap-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>renameKeymap</h4>
<pre>public&nbsp;boolean&nbsp;renameKeymap(java.lang.String&nbsp;keymapName,
                            java.lang.String&nbsp;newName)</pre>
<div class="block">Renames a key map if the name is available</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>keymapName</code> - the name of the keymap to be renamed</dd>
<dd><code>newName</code> - the new name for the keymap</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>returns <code>true</code> if the keymap has successfully, 
                                                renamed <code>false</code> otherwise</dd>
</dl>
</li>
</ul>
<a name="setTrigger-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTrigger</h4>
<pre>public&nbsp;void&nbsp;setTrigger(java.lang.String&nbsp;triggerKey,
                       java.lang.String&nbsp;keymapName)</pre>
<div class="block">Sets the chosen key as a trigger for a keymap.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>triggerKey</code> - the key to be set as a trigger</dd>
<dd><code>keymapName</code> - the name of the keymap</dd>
</dl>
</li>
</ul>
<a name="setTextOverlay-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTextOverlay</h4>
<pre>public&nbsp;void&nbsp;setTextOverlay(java.lang.String&nbsp;selectedKey,
                           java.lang.String&nbsp;keymap,
                           java.lang.String&nbsp;textOverlay)</pre>
<div class="block">Sets the text that will be displayed on a mapped key or a trigger key.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>selectedKey</code> - the key that will have it's display updated</dd>
<dd><code>keymap</code> - the keymap that the key belongs to</dd>
<dd><code>textOverlay</code> - the text to be displayed on the key</dd>
</dl>
</li>
</ul>
<a name="openMainGUI-java.lang.String-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>openMainGUI</h4>
<pre>public&nbsp;void&nbsp;openMainGUI(java.lang.String&nbsp;keymap,
                        boolean&nbsp;newWindow)</pre>
<div class="block">Opens the main interface window containing the virtual keyboard.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>keymap</code> - the keymap to be displayed when the window first opens</dd>
<dd><code>newWindow</code> - whether to open the main gui in a new window</dd>
</dl>
</li>
</ul>
<a name="openMappingPopup-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>openMappingPopup</h4>
<pre>public&nbsp;void&nbsp;openMappingPopup(java.lang.String&nbsp;selectedKey,
                             java.lang.String&nbsp;keymapName)</pre>
<div class="block">Open the window to assign a mapping to a key.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>selectedKey</code> - the key to be mapped</dd>
<dd><code>keymapName</code> - the keymap which the key belongs to</dd>
</dl>
</li>
</ul>
<a name="setKeyMapping-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setKeyMapping</h4>
<pre>public&nbsp;void&nbsp;setKeyMapping(java.lang.String&nbsp;selectedKey,
                          java.lang.String&nbsp;keymap,
                          java.lang.String&nbsp;mapping)</pre>
<div class="block">Set's the mapping of a key.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>selectedKey</code> - the key to be mapped</dd>
<dd><code>keymap</code> - the keymap which it belongs to</dd>
<dd><code>mapping</code> - the unicode value for the key to be mapped to</dd>
</dl>
</li>
</ul>
<a name="setKeyImage-java.lang.String-java.lang.String-java.awt.image.BufferedImage-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setKeyImage</h4>
<pre>public&nbsp;void&nbsp;setKeyImage(java.lang.String&nbsp;selectedKey,
                        java.lang.String&nbsp;keymap,
                        java.awt.image.BufferedImage&nbsp;img)</pre>
<div class="block">Sets an image to be displayed on a key.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>selectedKey</code> - the key which will have the image displayed on it</dd>
<dd><code>keymap</code> - the keymap which the key belongs to</dd>
<dd><code>img</code> - the image to be display on the key</dd>
</dl>
</li>
</ul>
<a name="buildJTree--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>buildJTree</h4>
<pre>public&nbsp;javax.swing.JTree&nbsp;buildJTree()</pre>
<div class="block">Build the keymap tree to be displayed in the user interface. 
 Not to be confused with the TreeDataStructure, this tree us just a display component.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the JTree to be displayed in the interface.</dd>
</dl>
</li>
</ul>
<a name="loadKeyMap-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loadKeyMap</h4>
<pre>public&nbsp;void&nbsp;loadKeyMap(java.lang.String&nbsp;keymapName)</pre>
<div class="block">Displays the chosen keymap on the virtual keyboard.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>keymapName</code> - the keymap to be displayed on the virtual keyboard</dd>
</dl>
</li>
</ul>
<a name="removeDisplay-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeDisplay</h4>
<pre>public&nbsp;void&nbsp;removeDisplay(java.lang.String&nbsp;selectedKey,
                          java.lang.String&nbsp;keymap)</pre>
<div class="block">Remove any custom displays on the specified key.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>selectedKey</code> - the key to be modified</dd>
<dd><code>keymap</code> - the keymap which the key belongs to</dd>
</dl>
</li>
</ul>
<a name="setAsRandom-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAsRandom</h4>
<pre>public&nbsp;void&nbsp;setAsRandom(java.lang.String&nbsp;selectedKey,
                        java.lang.String&nbsp;keymap)</pre>
<div class="block">Mark the chosen key as randomised.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>selectedKey</code> - the key to be randomised</dd>
<dd><code>keymap</code> - the keymap which the key belongs to</dd>
</dl>
</li>
</ul>
<a name="deleteKeymap-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteKeymap</h4>
<pre>public&nbsp;void&nbsp;deleteKeymap(java.lang.String&nbsp;keymap)</pre>
<div class="block">Delete the specified keymap from the model.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>keymap</code> - the keymap to be deleted</dd>
</dl>
</li>
</ul>
<a name="resetKeymap-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>resetKeymap</h4>
<pre>public&nbsp;void&nbsp;resetKeymap(java.lang.String&nbsp;keymap)</pre>
<div class="block">Completely resets a keymap. All mappings, triggers etc are removed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>keymap</code> - the name of the keymap</dd>
</dl>
</li>
</ul>
<a name="resetKey-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>resetKey</h4>
<pre>public&nbsp;void&nbsp;resetKey(java.lang.String&nbsp;selectedKey,
                     java.lang.String&nbsp;keymap)</pre>
<div class="block">Resets a key. removes all display and mapping modifications</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>selectedKey</code> - the identifier of the key</dd>
<dd><code>keymap</code> - the key map which is belongs to</dd>
</dl>
</li>
</ul>
<a name="generateXML-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>generateXML</h4>
<pre>public&nbsp;void&nbsp;generateXML(java.lang.String&nbsp;path)</pre>
<div class="block">Generate the output XML file.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - the path that the xml file will be output to</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../mapping/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Presenter.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../mapping/NewKeyMapPopup.html" title="class in mapping"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../mapping/TreeDataStructure.html" title="class in mapping"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?mapping/Presenter.html" target="_top">Frames</a></li>
<li><a href="Presenter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
